/*Base*/
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    font-size: 62.5%;
}
body{
    font-size: 1.6rem;
    font-family: sans-serif;
    background-image: linear-gradient(to bottom right, #3B4679, #2B3153);
    
}
a{
    text-decoration: none;
}
img{
    max-width: 100%;
}

/*Utilities*/
.hue-shift{
    animation: hue-shift 2s infinite alternate;
}
.container{
    max-width: 125rem;
    margin: 0 auto;
    padding: 0 1.5rem;
}

/*Header & Nav*/
header{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1000;
    width: 100%;
}
.nav{
    height: 10rem;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}
.nav-list{
    display: flex;
    list-style: none;
}
.nav-item{
    margin-right: 5rem;
}
.nav-item:last-child{
    margin-right: 0;
}
.nav-link{
    font-size: 1.2rem;
    text-transform: uppercase;
    transition: opacity .4s;
    color: #fff;
}
.nav-link:hover{
    opacity: .6;
}
.logo{
    display: block;
    width: 8rem;
}
/*Main content*/
.landing-page{
    width: 100%;
    min-height: 100vh;
    position: relative;
    margin-top: 10rem;
    overflow: hidden;
    display: flex;
    align-items: center;
    
    
}
.landing-page::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: inherit;
    height: 100vh;
    background-image: url("./images/bg-pat.png");
    background-size: cover;
    opacity: -4;
    z-index: -1; 
}
.content{
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}
.content-details{
    max-width: 80%;
}
.title{
    font-size: 6rem;
    color: #fff;
    margin-bottom: 1rem;
}
.description{
    color: #929fc5;
    margin-bottom: 2.5rem;
}
.search{
    display: flex;
}
.search input{
    border-radius: 5rem;
    padding: 2rem;
    outline: none;
    border: none;
}
.search-bar{
    width: 100%;
}
.search-btn{
    width: 10rem;
    background-image: linear-gradient(to right, #ff83d5, #ffccb0);
    color: #fff;
    cursor: pointer;
    margin-left: -10rem;
}
.search-btn:hover{
    background-image: linear-gradient(to left, #ff83d5, #ffccb0);
}
.image-group{
    text-align: center;
    margin-top: 3.4rem;
    position: relative;
}
.blob-bean{
    position: absolute;
    left: -1rem;
    top: 2.5rem;
    z-index: 10;
    animation: move-down 2s infinite alternate;
}
.blob{
    position: absolute;
    z-index: -1;
}
.blob-1{
    top: -11rem;
    left: 50%;
    transform: translate(-50%);
}
.blob-2{
    top: 15rem;
    left: -17rem;
}
.blob-3{
    right: 5rem;
    bottom: -24rem;
}
.blob-4{
    left: -21rem;
    bottom: -17rem;    
}

.blob-large{
    animation: move-up 2s infinite alternate;
}

/*Animations*/
@keyframes move-up{
    from{
        transform: translateY(0);
    }
    to{
        transform: translateY(2rem);
    }
}

@keyframes move-down{
    from{
        transform: translateY(0);
    }
    to{
        transform: translateY(-2rem);
    }
}

@keyframes hue-shift{
    from{
        filter: hue-rotate(0);
    }
    to{
        filter: hue-rotate(360deg);
    }
}

/*Media Queries*/

a.tw{
    background: url(images/tw.png) no-repeat center;
    background-size: 50%;
  }
  a.fb{
    background: url(images/fb.png) no-repeat center;
    background-size: 50%;
  }
.sm-list a{
    text-indent: -10000px;
    text-decoration: none;
    display: block;
    padding: 10px;
 }
.sm-list{
    display: flex;
    margin: 1rem auto;
}
.sm-list li{
    list-style-type: none;
    padding: 0;
  }
  
  .sm-link{
    width: 3rem;
   height: 3rem;
   border: 1px solid #929fc5;
   border-radius: 50%;
   display: flex;
   margin-right: 1.5rem;
  }

  @media screen and (max-width:768px) {
    .nav{
        align-items: center;
    }
    .content{
        grid-template-columns: 1fr;
    }
    .content-details{
        order:1;
        max-width: 100%;
    }
    .title{
        font-size: 3.5rem;
    }
    .description{
        font-size: 1.4rem;
    }
    .image-group{
        margin-top: 30rem;
    }
    .blob-large{
        width: 70%;
    }
    .blob-bean{
        width: 30%;
        top: 1rem;
        left: 5rem;
    }
    .blob-1{
        display: none;
    }
    .blob-2{
        left: 35rem;
        top: 14rem;
        width: 30%;
    }
    .blob-3{
        right: -3rem;
        bottom: -25rem;
    }
    .blod-4{
        display: none;
    }
    .landing-page{
        margin-top: 0;
    }
  }

  @media screen and (max-width:700px) {
    .nav{
        flex-direction: column;
        height: 5rem;
    }
    .logo-box{
        margin: 2rem 0;
    }
    .blob-2{
        display: none;
    }
    .blob-3{
        width: 50%;
        bottom: -10rem;
    }
    .landing-page{
        margin-top: -15rem;
    }

  }